<?
include ("../common/scripts/connect.inc.php");
session_start();

if(isset($_SESSION['idChar']))
{
	$id_mimichant=$_SESSION['idChar'];
	$id_service=1;

	if(isset($_POST['nom']) && isset($_POST['id']))
	{
	  $id=$_POST['id'];
		$nom=$_POST['nom'];
		
		//traitement de l'achat
		$result= pg_query($dbconn,"select * from buy_obj(".$id_service.",".$id_mimichant.",".$id.")");	
		$ok=pg_fetch_row($result);
		
	
		
		//si l'achat s'est bien passé
		if($ok[0]=='t')
		{
		echo 'L\'objet '.$nom.' a bien &eacute;t&eacute; ajout&eacute; &agrave; l\'&eacute;quipement de votre mimichant.';
	  }
	  else
	  {
		echo 'L\'achat de l\'objet '.$nom.' a &eacute;chou&eacute;';
	  }
	}
}


?>
